> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Fiat to Fiat Exchange Rate

> An integrator can use this endpoint to get the exchange rate between two fiat currencies

An integrator can use this endpoint to get the exchange rate between two fiat currencies.


## OpenAPI

````yaml POST /api/v3/rate/fiat
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/rate/fiat:
    post:
      tags:
        - RATES
      summary: Get Fiat to Fiat exchange rate
      description: >-
        An integrator can use this endpoint to get the exchange rate between two
        fiat currencies
      operationId: RateController_getFiatToFiatRate_api/v3
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FiatRateRequestDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Available exchange rate.
                  data:
                    $ref: '#/components/schemas/FiatToFiatRateResponseDto'
                    type: object
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Invalid API Key
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  schemas:
    FiatRateRequestDto:
      type: object
      properties:
        from:
          description: From currency
          example: KES
          allOf:
            - $ref: '#/components/schemas/Currency'
        to:
          description: To currency
          example: EUR
          allOf:
            - $ref: '#/components/schemas/Currency'
        amount:
          type: number
          description: Rate value
          example: '0.85'
      required:
        - from
        - to
        - amount
    FiatToFiatRateResponseDto:
      type: object
      properties:
        from:
          type: string
          description: From currency
          example: USD
        to:
          type: string
          description: To currency
          example: EUR
        value:
          type: string
          description: Rate value
          example: '0.85'
        depositAmount:
          type: number
          description: Deposit amount
          example: '100'
        withdrawalAmount:
          type: number
          description: Withdrawal amount
          example: '100'
        depositTransactionAmount:
          type: number
          description: Deposit transaction amount
          example: '100'
        withdrawalTransactionAmount:
          type: number
          description: Withdrawal transaction amount
          example: '100'
        depositFee:
          type: number
          description: Deposit fee
          example: '100'
        withdrawalFee:
          type: number
          description: Withdrawal fee
          example: '100'
      required:
        - from
        - to
        - value
        - depositAmount
        - withdrawalAmount
        - depositTransactionAmount
        - withdrawalTransactionAmount
        - depositFee
        - withdrawalFee
    Currency:
      type: string
      enum:
        - KES
        - GHS
        - NGN
        - ZAR
        - ZAR
        - USD
        - XOF
        - ZMW
        - XAF
        - SLE
        - CDF
        - TZS
        - UGX
        - EGP
        - MWK
        - RWF
        - ETB
        - MZN
        - LSL
        - GNF
        - USDT
        - BTC
        - ETH
        - USDC
      description: From currency
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````